---
title: BluetoothRemoteGATTCharacteristic.writeValue()
slug: Web/API/BluetoothRemoteGATTCharacteristic/writeValue
tags:
  - API
  - Bluetooth
  - BluetoothRemoteGATTCharacteristic
  - Experimental
  - Property
  - Reference
  - Web Bluetooth API
  - writeValue
---
<p>{{SeeCompatTable}}</p>

<p>The <strong><code>BluetoothRemoteGATTCharacteristic.writeValue()</code></strong> method sets the value property to the bytes contained in an {{jsxref("ArrayBuffer")}} and returns a {{jsxref("Promise")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">BluetoothRemoteGATTCharacteristic.writeValue(value).then(function() { ... })</pre>

<h3 id="Returns">Returns</h3>

<p>A {{jsxref("Promise")}}.</p>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt>value</dt>
 <dd>An {{jsxref("ArrayBuffer")}}. </dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("Web Bluetooth", "#dom-bluetoothremotegattcharacteristic-writevalue", "writeValue()")}}</td>
   <td>{{Spec2("Web Bluetooth")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BluetoothRemoteGATTCharacteristic.writeValue")}}</p>

<div>{{APIRef("Web Bluetooth")}}</div>
